View Issue Details

IDProjectCategoryView StatusLast Update
0032542Open CASCADEPRODUCTS:Volume Renderingpublic2022-02-08 20:22
Reporterkgv Assigned Tongavrilo  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032542: Volume Rendering - introduce Transfer Function presets for medical data sets (DICOM)
DescriptionExisting Volume Rendering interface provides a low-level editor of Transfer Function. Automated logic within Draw Harness and CT Assistant is not suitable for medical data sets (CT) and also difficult to modify to meet conventional color mapping (bones, skin, fat, muscles, etc.).

It is proposed providing a mechanism constructing a Transfer Function suitable for medical data sets.
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032548 verifiedngavrilo Open CASCADE Volume Rendering, VolumeRender_RaytraceRenderer - allow defining unnormalized transfer function 
parent of 0032558 verifiedngavrilo Open CASCADE Volume Rendering - CT medical presets do not work with signed integer data formats 
Not all the children of this issue are yet resolved or closed.

Activities

kgv

2021-08-25 10:45

developer   ~0103426

Please raise the patch
- OCC Products: branch CR32542_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR32542_1-KGV/

bugmaster

2021-08-28 15:43

administrator   ~0103471

Combination -
OCCT branch : IR-2021-08-27
master SHA - 8f70959571ab8999b47f88d673343587e733f364
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-27 SHA - 71e8b69563894a6e7348c9bd5b0294a5e5e8fe3f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17432.060000000307 / 17364.750000000335 [+0.39%]
Products
Total CPU difference: 11534.270000000102 / 11550.27000000011 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19189.15625 / 19243.171875 [-0.28%]
Products
Total CPU difference: 12874.53125 / 12885.734375 [-0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2021-08-28 15:53

administrator   ~0103476

Fix has been integtrated into master of occt-products repository

Related Changesets

occt-products: master f9226ab1

2021-08-17 10:07:42

ngavrilo


Committer: bugmaster Details Diff
0032542: Volume Rendering - introduce Transfer Function presets for medical data sets (DICOM)

Added enumeration VolumeRender_TransferFunctionPreset and method
VolumeRender_TransferFunction::CreateFromPreset() defining transfer function from predefined presets.

Template class VolumeRender_RgbaTransferFunction with redundant template arguments
has been redefined as non-template VolumeRender_TransferFunctionRgba.

Test cases have been refactored to move out deletion of temporary folder to "end".
vrfunctionrgb command now prints current function when called without arguments.
Affected Issues
0032542
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - src/VolumeRender/VolumeRender_TransferFunction.cxx Diff File
mod - src/VolumeRenderFdk/VolumeRenderFdk_ReconstructorCT.cxx Diff File
mod - src/VolumeRenderTest/VolumeRenderTest.cxx Diff File
mod - tests/volumerender/datagen/clipplanes1 Diff File
mod - tests/volumerender/datagen/clipplane_bndbox Diff File
mod - tests/volumerender/datagen/cola1 Diff File
mod - tests/volumerender/datagen/fdk Diff File
mod - tests/volumerender/datagen/gen2 Diff File
mod - tests/volumerender/datagen/jaw1 Diff File
mod - tests/volumerender/datagen/nrrd_int16_gz Diff File
mod - tests/volumerender/datagen/rawvolume Diff File
mod - tests/volumerender/datagen/sphere_int Diff File
mod - tests/volumerender/datagen/teil1 Diff File
add - tests/volumerender/end Diff File

Issue History

Date Modified Username Field Change
2021-08-24 15:46 kgv New Issue
2021-08-24 15:46 kgv Assigned To => kgv
2021-08-25 10:45 kgv Note Added: 0103426
2021-08-25 10:45 kgv Assigned To kgv => bugmaster
2021-08-25 10:45 kgv Status new => resolved
2021-08-25 10:46 kgv Status resolved => reviewed
2021-08-28 15:43 bugmaster Note Added: 0103471
2021-08-28 15:43 bugmaster Status reviewed => tested
2021-08-28 15:45 bugmaster Test case number => Not required
2021-08-28 15:53 bugmaster Note Added: 0103476
2021-08-28 15:53 bugmaster Status tested => verified
2021-08-28 15:53 bugmaster Resolution open => fixed
2021-08-30 19:29 kgv Relationship added parent of 0032548
2021-09-03 10:13 kgv Relationship added parent of 0032558
2021-09-09 17:14 bugmaster Project Internal => Open CASCADE
2021-12-17 18:41 bugmaster Changeset attached => occt-products master f9226ab1
2021-12-17 18:41 ngavrilo Assigned To bugmaster => ngavrilo
2021-12-17 18:41 ngavrilo Status closed => verified